<CsoundSynthesizer>
<CsOptions>
;-odac -d
</CsOptions>
<CsInstruments>

sr = 48000
ksmps = 32
nchnls = 1
0dbfs = 1


instr 1

gi1 ftgen 1, 0, 16384, 10, 1 ; Sine
gi2 ftgen 2, 0, 16384, 10, 1, 0.5, 0.3, 0.25, 0.2, 0.167, 0.14, 0.125, .111 ;Sawtooth
gi3 ftgen 3, 0, 16384, 10, 1, 0,   0.3, 0,    0.2, 0,     0.14, 0,     .111 ; Square
gi4 ftgen 4, 0, 16384, 10, 1, 1,   1,   1,    0.7, 0.5,   0.3,  0.1          ; Pulse


iAmp =  p4 ; von äußerer Funktion 
iFreqF0 = p5 ; Frequenz Modulator
ifn = p6
ienv1 = p7
ienv2  = p8
iAmpMod = p9
iFreqMod = p10

kModulatorOsc poscil p9, p10 
kCarrierFreq = iFreqF0 + kModulatorOsc ; ωct + amp* sin () -> innere Funktion Modulator 
 	 

asig poscil iAmp, kCarrierFreq, ifn ; A*sin ()
anev linseg 0, p3*p7, iAmp, p3*p8 , 0 


out asig*anev

endin



</CsInstruments>
<CsScore>



;inst	strt	dur	amp freq	table		env1	env2	amoMod	freqMod
;p1	p2	p3	p4  p5  	p6		p7	p8	p9		p10	

i 1	0	5	.5	800	1		.5	.5	200		400	
i 1 	12	.	.	.	2		.	.	.		.
i 1 	18	.	.	.	3		.	.	.		.
i 1 	25	.	.	.	4		.	.	.		.

e




</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
